Get all Shotgun import errors from the database. Returns a list of data import errors with source "shotgun".
GET
/import/shotgun/errors
curl
curl -X GET "http://api.example.com/import/shotgun/errors" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/import/shotgun/errors"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request GET 'http://api.example.com/import/shotgun/errors' \
--header "Authorization: $API_KEY"
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"source": "shotgun",
"event_data": {
"error": "Import failed"
},
"created_at": "2024-01-15T10:30:00Z"
}
]